<!doctype html>
<html>
<head>
<meta charset="gbk">
<title>商家中心-修改商铺资料</title>
<meta content="initial-scale=1.0,maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width" name="viewport" />
<meta content="yes" name="apple-mobile-web-app-capable">
<meta content="black" name="apple-mobile-web-app-status-bar-style">
<meta content="telephone=no" name="format-detection">
<link href="/skin/deepred/template/wap/style/css/style.css" rel="stylesheet" type="text/css" />
<!-- <link href="/skin/deepred/template/wap/style/css/fabu.css" rel="stylesheet" type="text/css" /> -->

<!-- --> <link rel="stylesheet" type="text/css" href="/user/seller/style/css/style.css" />
<link rel="stylesheet" type="text/css" href="/user/seller/style/css/dshow.css" />
<script type="text/javascript" src="/user/seller/style/js/dshow.js"></script>
<script type="text/javascript" src="/user/seller/style/js/SpryTabbedPanels.js"></script>
<script type="text/javascript" language="javascript"></script>
<script src="/user/seller/style/js/jquery.pack.js" type="text/javascript"></script>
<script src="/user/seller/style/js/areas.js" type="text/javascript"></script>
<script src="/user/seller/style/js/location.js" type="text/javascript"></script>
<script type="text/javascript" language="javascript"> 
$(function (){
// 加载区域
$("#p_local").LocationSelect();
})
</script>
<script type="text/javascript" language="javascript">
function  checkSumbit()
{
	 //提交地区信息
	 var info = $("#p_local").getLocation();
	 if(info.pcode=="0")
	 {
		 $("#p_local").next().show();
	 }
	 $("#S_ShopInfo_ctl00_S_ShopInfo_Settings_ctl00_hid_Area").val(info.province+","+info.city+","+info.district+"|"+info.dcode);
}
</script>
<script type="text/javascript" language="javascript">
	$(document).ready(
	function (){
	var area=$("#S_ShopInfo_ctl00_S_ShopInfo_Settings_ctl00_hid_Area").val().split("|");
	if($("#S_ShopInfo_ctl00_S_ShopInfo_Settings_ctl00_hid_Area").val()!="")
	{
	var areacode=area[1].split(",");
	var areaname=area[0].split(",");
	$("select[name='province']").append("<option value=\""+areacode[0]+"\" selected=\"selected\">"+areaname[0]+"</option>");
	$("select[name='city']").append("<option value=\""+areacode[1]+"\" selected=\"selected\">"+areaname[1]+"</option>");
	$("select[name='district']").append("<option value=\""+areacode[2]+"\" selected=\"selected\">"+areaname[2]+"</option>");
	}
	}
 );
</script>
</head>
<body>
<!--顶部-->
<header class="clearfix">
  <div class="h"> <a class="h-b" href="javascript:history.back()"><!--返回--></a> <span class="h-ti">店铺资料</span><a href="/m.asp?a=u_index"><span class="t-right"></span></a></div>
</header>
<!--主体部分-->
<div class="tabBox box_soadow" id="leftTabBox">
  <div class="hd">
    <ul>
      <li><a href="/m.asp?a=s_shopinfo">基本资料</a></li>
      <li class="on"><a href="/m.asp?a=s_shopinfo2">地图坐标</a></li>
      <li><a href="/m.asp?a=s_shopinfo3">实名认证</a></li>
    </ul>
  </div>
</div>
    <div class="f-bg clearfix"> 
    <!--内容区开始-->
    <div class="f-con"> <span class="f-blue"></span> 
      <!--表单开始-->
      <div class="f-form">
<form action="/m.asp?a=s_shopinfo2&action=save" name="form" method="post" style="margin:0">
<div class="f-p">
	<table border="0" cellspacing="0" cellpadding="0" class="tabbiao" style="width:100%">
		<tr>
			<td width="30%" style="padding-left:6px;">鼠标点取坐标:</td>
			<td align="left">
				<input name="mapcode" type="text" value="{anxinMall:field.mapcode}" id="mapcode" class="textwb" />
				<span class="red" id="errMapValue"></span>
			</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align: center; line-height: 46px; padding-top:0px;">
			<input style="display: block;
    width: 92%;margin: 18px 2% 8px;height: 40px;line-height: 40px;overflow: hidden;font-size:18px;text-align: center;color: #fff;background: #2163a6;-webkit-border-radius: 5px;border-radius: 5px;" type="submit" name="button" id="button" value=" 修改坐标 " />
				<!-- <input type="submit" name="ButtonSave" value="修改坐标" id="ButtonSave" class="baocbtn" /> -->
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<div id="allmap" style="width:98%; height: 500px; margin-left:0px;"></div>
			</td>
		</tr>
	</table>
</form>
<!--地理位置 start-->
<script type="text/javascript" src="http://api.map.baidu.com/api?v=1.4"></script>
<script type="text/javascript">
var Result=$("#mapcode").val();
var map = new BMap.Map("allmap");
map.centerAndZoom(new BMap.Point(Result.split(',')[0],Result.split(',')[1]), 14);
var point = new BMap.Point(Result.split(',')[0],Result.split(',')[1]);
var marker  = new BMap.Marker(point);
map.addOverlay(marker);
map.addEventListener("click",function(){
});
map.addControl(new BMap.NavigationControl());  //添加默认缩放平移控件
map.addControl(new BMap.NavigationControl({anchor: BMAP_ANCHOR_TOP_RIGHT, type: BMAP_NAVIGATION_CONTROL_SMALL}));  //右上角，仅包含平移和缩放按钮
map.addControl(new BMap.NavigationControl({anchor: BMAP_ANCHOR_BOTTOM_LEFT, type: BMAP_NAVIGATION_CONTROL_PAN}));  //左下角，仅包含平移按钮
map.addControl(new BMap.NavigationControl({anchor: BMAP_ANCHOR_BOTTOM_RIGHT, type: BMAP_NAVIGATION_CONTROL_ZOOM}));  //右下角，仅包含缩放按钮
//点击获取点击鼠标的经纬度
map.addEventListener("click", function(e){
$("#mapcode").val(e.point.lng + "," + e.point.lat) ;
//    this.openInfoWindow(infoWindow, map.getCenter());      // 打开信息窗口
});
</script>
<!--地理位置 End-->
	</div>

      </div>
      <!--表单结束--> 
    </div>
    <!--内容区结束--> 
    <!--提交按钮 <input style="display: block;
    width: 96%;margin: 18px 2% 8px;height: 40px;line-height: 40px;overflow: hidden;font-size:18px;text-align: center;color: #fff;background: #2163a6;-webkit-border-radius: 5px;border-radius: 5px;" type="submit" name="button" id="button" value=" 提交修改 " />-->
    <!-- <a class="tj" href="javascript:;" id="memeberspacesubmit">提交修改</a> -->
	</div>
</form>
</body>
</html>
<!--#include file="wap/m.bottom.fixed.asp"-->